#!/usr/bin/env python
# -*- coding: utf-8 -*- 

from HTMLParser import HTMLParser

means = ["rer", "metro", "bus", "tram", "sncf"]
meansMAP = {"rer":"RER", "metro":u"Métro", "bus":"Bus", "tram":"Tram", "sncf":"SNCF"}

class WAPParser(HTMLParser):
    state = 0
    skip = False
    data = ""
    date = ""
    def handle_starttag(self, tag, attr):
        if tag == "div": 
            if self.state == 3: self.data += "\n"
            self.state += 1
        if tag == "a": 
            if self.state == 3 or self.state == 4:
                for elm in attr: 
                    if elm[0] == "href":
                        if not elm[1][:4] == "http": 
                            addr = " http://wap.ratp.fr/siv/" + elm[1][1:] 
                        else: 
                            addr = elm[1]
                        self.data += "(%s) "%(addr)
        if tag == "br": self.data += "\n"
        if tag == "b" and (self.state is 3 or self.state is 4): self.data += "*"
        if tag == "img" and (self.state == 3 or self.state == 4): 
            for elm in attr:
                if elm[0] == "alt":
                    self.data += "%s"%elm[1]
        if tag == "img" and self.state == 2: 
            for elm in attr:
                if elm[0] == "alt":
                    self.date += "%s"%elm[1]
    def handle_data(self, data):
        if not self.skip and (self.state is 3 or self.state is 4): self.data += data
        if self.state is 2: self.date = data
    def handle_endtag(self, tag):
        if tag == "b" and (self.state is 3 or self.state is 4): self.data += "*"
        if tag == "a": self.skip = False
    def reinit(self):
        self.state = 0
        self.skip = False
        #self.date = ""
    def feed(self, data):
        HTMLParser.feed(self, self.unescape(data.replace("&#150;", "&#8211;")))
