#!/usr/bin/env python

import sys
import send
import infotraffic
import manifs
import pickle
import hashlib

if __name__ == "__main__":
    debug = False
    debugNews = True
    md5 = {}
    try:
        f = open("hashes", "r")
        md5 = pickle.load(f)
        f.close()
    except:
        pass
    if not "--mail" in sys.argv:
        debug = True
    if "--infotraffic" in sys.argv:
        date, data = infotraffic.get(debug)
        current_hash = hashlib.md5(data.encode('utf-8')).hexdigest()
        if not debug and (not "traffic" in md5 or md5["traffic"] is not current_hash):
            send.sendnews("crans.ratp", "Info Traffic (%s)"%(date), data, debugNews)
            md5["traffic"] = current_hash
    if "--manifs" in sys.argv:
        date, data = manifs.get(debug)
        current_hash = hashlib.md5(data.encode('utf-8')).hexdigest()
        if not debug and (not "manifs" in md5 or md5["manifs"] is not current_hash):
            send.sendnews("crans.ratp", "Manifestations (%s)"%(date), data, debugNews)
            md5["manifs"] = current_hash
    if not debug:
        try:
            f = open("hashes", "w")
            pickle.dump(md5, f)
            f.close()
        except:
            print "Error while dumping new md5 sums"
